Bug 910798 - Review Request: perl-Text-Tabs+Wrap - Expand tabs and do simple line wrapping
Review Request: perl-Text-Tabs+Wrap - Expand tabs and do simple line wrapping
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-02-13 10:28 EST by Petr Pisar
Modified: 2015-03-25 13:19 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Text-Tabs+Wrap-2013.0523-326.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-03-25 13:19:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Petr Pisar 2013-02-13 10:28:33 EST
Spec URL: http://ppisar.fedorapeople.org/perl-Text-Tabs+Wrap/perl-Text-Tabs+Wrap.spec
SRPM URL: http://ppisar.fedorapeople.org/perl-Text-Tabs+Wrap/perl-Text-Tabs+Wrap-2012.0818-1.fc19.src.rpm
Text::Tabs performs the same job that the UNIX expand(1) and unexpand(1)
commands do: adding or removing tabs from a document.

Text::Wrap::wrap() will reformat lines into paragraphs. All it does is break
up long lines, it will not join short lines together.

Fedora Account System Username: ppisar

This package is intended for rawhide only. It will dual-live after sub-packaging the modules from perl.spec.

This package is uncertain license. Waiting on legal department.
Comment 1 Tom "spot" Callaway 2013-03-14 11:19:14 EDT
After consulting with Red Hat Legal, we believe that this is a non-free license, because of the "Publicly redistributed modified versions must use a different name." clause.

Could you please ask the upstream to drop that clause?
Comment 2 Petr Pisar 2013-03-21 04:43:14 EDT
So, here is final statement from upstream. He will change the license to this

> This module may be modified, used, copied, and redistributed at your own
> risk. Please do not publicly redistribute modified versions of this code as
> Text::Tabs that do not pass the unmodified Text::Tabs test suite.

Is it acceptable for Fedora?
Comment 3 Petr Šabata 2013-03-21 04:53:12 EDT
This mentions only the Text::Tabs module.  How about Text::Wrap?  Does it still use the old 'uncertain license'?

Let's see what upstream will come up in next version with...
Comment 4 Tom "spot" Callaway 2013-03-22 10:30:57 EDT
It seems that statement is worded differently from what upstream told the Free Software Foundation, where this wording was submitted:

  This module may be modified, used, copied, and redistributed at your own
  risk. Although allowed by the preceding license, please do not publicly
  redistribute modified versions of this code with the name "Text::Tabs"
  unless it passes the unmodified Text::Tabs test suite.

They're 99% the same, but the above wording makes it very very clear that the test suite restriction is optional. Fedora and the FSF strongly prefer this wording.
Comment 5 Petr Pisar 2015-03-17 09:39:04 EDT
Upstream released new version with the to-FSF-communicated wording.

Spot, which identifier should I use the spec file?

Spec URL: https://ppisar.fedorapeople.org/perl-Text-Tabs+Wrap/perl-Text-Tabs+Wrap.spec
SRPM URL: https://ppisar.fedorapeople.org/perl-Text-Tabs+Wrap/perl-Text-Tabs+Wrap-2013.0523-1.fc23.src.rpm
Comment 6 Tom "spot" Callaway 2015-03-17 11:18:54 EDT

License: TTWL

Lifting FE-Legal. (Please thank upstream for resolving this issue amicably.)
Comment 7 Petr Pisar 2015-03-17 11:38:44 EDT
Updated package with correct license tag is on the same address.
Comment 8 Petr Šabata 2015-03-24 06:29:05 EDT
I'll take it.
Comment 9 Petr Šabata 2015-03-24 06:38:20 EDT
Um, the License tag still states `FIXME: Waiting on legal department'.

Packaging looks good to me.  Just update the License tag to TTWL and perhaps remove the extra empty line at the end of the file :)
Comment 10 Petr Pisar 2015-03-24 08:33:31 EDT
I did not uploaded the package actually. Now it should be correct.
Comment 11 Petr Šabata 2015-03-24 10:33:06 EDT
Yes, yes it is.
Comment 12 Petr Pisar 2015-03-24 10:51:48 EDT
New Package SCM Request
Package Name: perl-Text-Tabs+Wrap
Short Description: Expand tabs and do simple line wrapping
Upstream URL: http://search.cpan.org/dist/Text-Tabs%2BWrap/
Owners: ppisar jplesnik psabata
InitialCC: perl-sig
Comment 13 Jon Ciesla 2015-03-24 11:35:57 EDT
Git done (by process-git-requests).
Comment 14 Petr Pisar 2015-03-25 13:19:50 EDT
Thank you for the review and the repository.

perl-Text-Tabs+Wrap has been sub-packaged in perl-5.20.2-325.fc23.

Note You need to log in before you can comment on or make changes to this bug.